Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class AddResourcePanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--org.w3c.jigadmin.editors.AddResourcePanel

Direct Known Subclasses:
  AddFramePanel

public class AddResourcePanel
extends javax.swing.JPanel

A widget used to select a resource class and its identifier.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected ResourceTreeBrowser` | `browser`
`protected EditableStringChoice` | `classSC`
`protected javax.swing.JTextField` | `identifierTF`
`protected boolean` | `ok`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`protected` | `AddResourcePanel(java.lang.String title, RemoteResourceWrapper rrw, ResourceTreeBrowser browser)` Constructor.

Method Summary
`protected void` | `build(RemoteResourceWrapper rrw, java.lang.String title)` Build the interface.
`protected void` | `done()` NotifyAll that the resource class and its identifier are selected.
`protected void` | `getFocus()` request the focus for the class combobox.
`protected java.util.Hashtable` | `getResources(RemoteResourceWrapper rrw)` Get a list of resources that we can add to the container wrapped by the given RemoteResourceWrapper.
`protected void` | `initializeStringChoice(RemoteResourceWrapper rrw)` Initialize the StringChoice.
`boolean` | `waitForCompletion()` Wait until the resource class and its identifier are selected.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ok

    protected boolean ok

### classSC

    protected EditableStringChoice classSC

### identifierTF

    protected javax.swing.JTextField identifierTF

### browser

    protected ResourceTreeBrowser browser

Constructor Detail

### AddResourcePanel

    protected AddResourcePanel(java.lang.String title,
                               RemoteResourceWrapper rrw,
                               ResourceTreeBrowser browser)
                        throws RemoteAccessException

  Constructor.
  Parameters:
    `title` - The widget title
    `rrw` - The RemoteResourceWrapper of the container where we are going to add a resource.
    `browser` - the ResourceTreeBrowser
  Throws:
    RemoteAccessException - is some remote error occurs

Method Detail

### getResources

    protected java.util.Hashtable getResources(RemoteResourceWrapper rrw)
                                        throws RemoteAccessException

  Get a list of resources that we can add to the container wrapped by the given RemoteResourceWrapper.
  Parameters:
    `rrw` - The RemoteResourceWrapper
  Returns:
    a Hashtable instance containing the list of resource that can be added to the given RemoteResource.
  Throws:
    RemoteAccessException - is some remote error occurs

### initializeStringChoice

    protected void initializeStringChoice(RemoteResourceWrapper rrw)
                                   throws RemoteAccessException

  Initialize the StringChoice.
  Parameters:
    `rrw` - The RemoteResourceWrapper of the container where we are going to add a resource.
  Throws:
    RemoteAccessException - is some remote error occurs

### build

    protected void build(RemoteResourceWrapper rrw,
                         java.lang.String title)
                  throws RemoteAccessException

  Build the interface.
  Parameters:
    `rrw` - The RemoteResourceWrapper of the container where we are going to add a resource.
    `title` - the title of the panel.
  Throws:
    RemoteAccessException - is some remote error occurs

### getFocus

    protected void getFocus()

  request the focus for the class combobox.

### done

    protected void done()

  NotifyAll that the resource class and its identifier are selected.

### waitForCompletion

    public boolean waitForCompletion()

  Wait until the resource class and its identifier are selected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD